/*Custom CSS*/
/*@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap');
*/ /*Top - Bar button css*/

@import url(https://fonts.googleapis.com/css?family=Hind+Vadodara:400,500&display=swap);
@import url(https://indestructibletype.com/fonts/Jost.css);
/*font-family-sans-serif:"Hind Vadodara",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",Arial,sans-serif;
font-family-monospace:SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace},*/




.navbar-custom {
    left: 0;
    padding: 5px 24px !important;
    box-shadow: 0px 3px 3px #153d77eb;
    background-color: #153d77;
}

.nav-user {
    background-color: transparent;
    border: none;
}

/*header select location css*/
.select2-container .select2-selection--single, .select2:hover {
    background-color: #ffffff !important;
    border-radius: 5px;
}

.navbar-custom .topbar-right-menu .nav-link {
    padding: 0;
    color: #ffffff;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    color: #000000;
}


/*Page left margin 0 css*/
.content-page {
    margin-left: 0px;
}

/*Page title css*/
.page-title-box .page-title {
    font-size: 24px;
    font-weight: 500;
    color: #262244;
    /*font-family: 'Roboto Slab', serif;*/
}

/*Number Keypad css*/
.btn-outline-secondary { /*
    max-width: 30% !important;*/
    font-size: 18px;
    font-weight: 600;
    color: #fff;
    border-color: #ededed;
    /*font-family: 'PT Sans', sans-serif !important;*/
}

    .btn-outline-secondary:hover {
        color: #262244;
        background-color: #b5bda1;
        border-color: #b5bda1;
    }

    .btn-outline-secondary:not(:disabled):not(.disabled).active:focus, .btn-outline-secondary:not(:disabled):not(.disabled):active:focus, .show > .btn-outline-secondary.dropdown-toggle:focus {
        box-shadow: 0 0 0 0.2rem #b5bda178;
    }

.bg-dark {
    background-color: #153d77 !important;
}

.btn-violet {
    color: #0e0d12;
    background-color: #ede2c7;
    border-color: #ede2c7;
}

    .btn-violet:hover, .btn-violet-bg:hover {
        color: #f7f7f7;
        background-color: #847aae;
        border: 1px solid #847aae;
        box-shadow: 0 0 0 0.2rem rgba(132, 122, 174, 0.5);
    }

}

.btn-violet:focus {
    color: #f7f7f7;
    box-shadow: 0 0 0 0.2rem rgba(237, 226, 199, 0.5) !important;
}

.btn-violet-bg { /*
    color: #fff;
    background-color: #262244;
    border-color: #262244;
    box-shadow: 0 0 2px 2px #262244a8;*/
    width: 100%;
}

/*css for Fonts*/
.btn-group-vertical, h1, h2, h3, h4, h5, h6 {
    font-family: Jost,-apple-system,BlinkMacSystemFont,Segoe UI,Helvetica Neue,Arial,sans-serif;
    /*font-family: 'Roboto Slab', serif;*/
}

body {
    font-family-sans-serif: "Hind Vadodara",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",Arial,sans-serif;
    font-family: "Hind Vadodara",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",Arial,sans-serif;
    /*font-family: 'PT Sans', sans-serif;*/
    background-color: #f4f7fc;
}

    body[data-leftbar-compact-mode=condensed] .wrapper .content-page {
        margin-left: 0px;
    }

    body[data-leftbar-compact-mode=condensed] .wrapper .footer, body[data-leftbar-compact-mode=condensed] .wrapper .navbar-custom {
        left: 0;
    }



    body[data-leftbar-compact-mode=condensed] .side-nav .side-nav-item .side-nav-link span {
        display: inline;
    }

    body[data-leftbar-theme=light] .side-nav .mm-active > a {
        color: #153d77 !important;
    }

    body[data-leftbar-theme=light] .side-nav .side-nav-link:active, body[data-leftbar-theme=light] .side-nav .side-nav-link:focus, body[data-leftbar-theme=light] .side-nav .side-nav-link:hover {
        color: #153d77 !important;
    }

    body[data-leftbar-theme=light] .side-nav .side-nav-forth-level li a:focus, body[data-leftbar-theme=light] .side-nav .side-nav-forth-level li a:hover, body[data-leftbar-theme=light] .side-nav .side-nav-second-level li a:focus, body[data-leftbar-theme=light] .side-nav .side-nav-second-level li a:hover, body[data-leftbar-theme=light] .side-nav .side-nav-third-level li a:focus, body[data-leftbar-theme=light] .side-nav .side-nav-third-level li a:hover {
        color: #153d77 !important;
    }

.right-bar-enabled .right-bar {
    left: 0 !important;
    /*background-color: #ede2c7;*/
}

.right-bar .rightbar-title {
    background-color: #153d77;
}

.side-nav .side-nav-link i {
    color: #153d77;
}

.right-bar .right-bar-toggle {
    background-color: #4f5c6f;
}

.right-bar-toggle {
    color: #ffffff !important;
}

body[data-leftbar-theme=dark] .side-nav .side-nav-link {
    color: #262244;
}

body[data-leftbar-theme=dark] .side-nav .side-nav-forth-level li a, body[data-leftbar-theme=dark] .side-nav .side-nav-second-level li a, body[data-leftbar-theme=dark] .side-nav .side-nav-third-level li a {
    color: #262244;
}

body[data-leftbar-theme=dark] .side-nav .side-nav-link:active, body[data-leftbar-theme=dark] .side-nav .side-nav-link:focus, body[data-leftbar-theme=dark] .side-nav .side-nav-link:hover {
    color: #847aae;
}

body[data-leftbar-theme=dark] .side-nav .mm-active > a {
    color: #153d77 !important;
}

body[data-leftbar-theme=dark] .side-nav .side-nav-forth-level li a:focus, body[data-leftbar-theme=dark] .side-nav .side-nav-forth-level li a:hover, body[data-leftbar-theme=dark] .side-nav .side-nav-second-level li a:focus, body[data-leftbar-theme=dark] .side-nav .side-nav-second-level li a:hover, body[data-leftbar-theme=dark] .side-nav .side-nav-third-level li a:focus, body[data-leftbar-theme=dark] .side-nav .side-nav-third-level li a:hover {
    color: #847aae;
}

/*Temporary Height fix*/
/*body[data-leftbar-compact-mode=condensed] {
    min-height: fit-content;
}
*/
body[data-leftbar-theme=dark] .left-side-menu {
    background: #262244;
}

    body[data-leftbar-theme=dark] .left-side-menu .logo {
        background: #262244 !important;
    }

.container-fluid {
    padding: 1rem 1.5rem;
}

.card-border {
    border: 1px solid #153d77;
}

.card-shadow {
    box-shadow: 0 0 2px 2px #153d7740;
}

/*form-control normal css*/
.form-control {
    color: #000000 !important;
    border: 1px solid #d6d6d6 !important;
}


    /*form-control hover css*/
    .form-control:hover, .select2:hover, .form-control:focus, .select2:focus, .form-control:active, .select2:active, .form-control:visited, .select2:visited, .custom-select.is-invalid:focus, .custom-select.is-valid:focus, .custom-select:invalid:focus, .custom-select:valid:focus, .form-control.is-invalid:focus, .form-control.is-valid:focus, .form-control:invalid:focus, .form-control:valid:focus {
        /*box-shadow: 0 0 2px 2px #b5bda1 !important;*/
        color: #495057;
        /*background-color: #fff;*/
        border-color: #a8c5f0;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(59, 125, 221, 0.25) !important;
    }

label {
    font-family-sans-serif: "Hind Vadodara",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",Arial,sans-serif;
    font-family: "Hind Vadodara",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",Arial,sans-serif;
    font-weight: 400;
    color: #3e4676;
}

/*CSS to Hide buttons in Left Menu Toggle bar*/
.btn-web {
    display: none;
}



@media (max-width: 780px) {

    .right-bar-enabled .right-bar {
        overflow-y: scroll;
    }

    .btn-mobile {
        display: none;
    }

    .btn-web {
        display: block;
    }
    /*mt-1, .mt-2, .mt-3, .mr-1, .mr-2, .mr-3, .mb-1, .mb-2, .mb-3, .ml-1, .ml-2, .ml-3*/
    .m-mobile {
        margin: 5px !important;
    }

    .col-form-label {
        font-size: 10px;
    }

    .col-md-3 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 25%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}

@media (max-width: 500px) {
    .navbar-custom {
        padding: 0px 0px !important;
        min-height: 40px;
    }

    .button-menu-mobile {
        height: 35px;
        line-height: 35px;
    }

    .col-md-9 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 75%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}

@media only screen and (max-width: 1024px) and (min-width: 576px) {
    .col-sm-7, .col-sm-6, .col-sm-5, .col-sm-4, .col-md-2, .col-sm-3 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 58.33333%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}


table.dataTable tbody > tr.selected td, table.dataTable tbody > tr > .selected td {
    border-color: none !important;
    background-color: none !important;
}

/*.col-form-label {
    letter-spacing: 0px;
}*/


/*.btn-outline-secondary {
    color: #fff;
    border-color: #fff;
}*/

.marginfordispensebloc {
    margin-top: .75rem !important;
}



.dispensebloc-bg {
    border: 1px solid #ede2c7;
    background-color: #ede2c7;
    padding: 0.5rem;
}

.labeltxt {
    color: #343a40;
    margin-bottom: 0px;
    margin-top: 1rem;
}

.pdgdbloc {
    padding-left: 5px !important;
    padding-right: 5px !important;
}

.card-top {
    border-bottom: 1px solid black;
}

.card-header2 {
    padding-left: 0px;
    padding-right: 0px;
    border: 1px solid #0e0d12;
}

.c1 {
    color: #343a40;
    margin: 1.5rem 0px 0px !important;
}

/*Keypad width for all the screens & compatibility css*/
.form-control-lg {
    width: 100%;
}

/*table dark css*/
.table-dark {
    color: #262244;
    background-color: #153d771a;
}

/*footer left css*/
.footer {
    left: 0;
}

.badge-success {
    color: #fff;
    background-color: #153d77 !important;
}

.table .action-icon {
    color: #153d77 !important;
}

.btn-highlight:hover, .btn-highlight:active, .btn-highlight:focus, .btn-highlight:focus-within, .btn-highlight:visited {
    color: #f10e34 !important;
}


/*#region Boot Box Modal popup */

.bootbox.modal .modal-dialog .modal-content .modal-header {
    background-color: #225baa;
    padding:15px 0 !important; 
}

    .bootbox.modal .modal-dialog .modal-content .modal-header .modal-title {
        font-size: 18px !important;
        font-weight: bolder !important;
        color: white;
    }

.bootbox-body {
    padding: 25px;
}

.bootbox-close-button {
    color: #fff !important;
}

.modal-content {
    border-radius: 0;
}

.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e6;
    border-radius: inherit;
}

.bootbox {
    opacity:inherit !important;
}

@page {
    size: auto;
}

/*#endregion */
